Bug 473994 - Yum localpath parsing
Yum localpath parsing
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
10
noarch Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 13:29 EST by Ed
Modified: 2014-01-21 18:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 14:56:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed 2008-12-01 13:29:41 EST
Description of problem:

When using createrepo to create the repository metadata,
with the repodata directory located one level below the root directory '/',
and the name of the directory containing the repodata directory chosen
such that it 


Version-Release number of selected component (if applicable):

yum-3.2.20-3.fc10.noarch

How reproducible:

Always.

Steps to Reproduce:
1. Copy the Fedora 10 release DVD to the directory /dvd
2. cd to / and run createrepo --database --groupfile /dvd/repodata/Fedora-10-comps.xml /dvd 
  
Actual results:

In the xml file primary.xml.gz, for example, look at the
href attribute in the location element of the dvd+rw-tools package element.
The location is reported as "Packages+rw-tools-7.1-1.fc10.x86_64.rpm".

Expected results:

The correct href attribute should be:
"Packages/dvd+rw-tools-7.1-1.fc10.x86_64.rpm"

Additional info:

May I suggest changing line 1555 in packages.py to
relpath = self.localpath.replace(self._reldir, '', 1)
Comment 1 seth vidal 2008-12-01 14:03:27 EST
if you run:
createrepo --database --groupfile /dvd/repodata/Fedora-10-comps.xml /dvd/

does it then work?
Comment 2 James Antill 2008-12-01 14:11:23 EST
 What version of createrepo are you using?
 I've tried both 0.9.5-5.fc10 and 0.9.6-3.fc10, both of which dtrt.
Comment 3 Ed 2008-12-01 14:44:02 EST
(In reply to comment #1)
> if you run:
> createrepo --database --groupfile /dvd/repodata/Fedora-10-comps.xml /dvd/
> 
> does it then work?
Yes, if I add the trailing slash to the directory, it works.
Comment 4 Ed 2008-12-01 14:47:28 EST
(In reply to comment #2)
>  What version of createrepo are you using?
>  I've tried both 0.9.5-5.fc10 and 0.9.6-3.fc10, both of which dtrt.
0.9.6-3.fc10
Comment 5 seth vidal 2009-02-16 14:56:31 EST
I've tried multiple times and I can't make this happen on any version.

I'm going to close this worksforme, for now, please reopen if you know how I can make it happen.

thanks

Note You need to log in before you can comment on or make changes to this bug.